For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet account information
        • GETGet compliance actions
        • POSTRecord a compliance action
        • GETGet account history
        • GETReturn account info of current account
        • GETGet account margin configuration
        • POSTSet margin configuration
        • GETGet account profile information
        • PUTUpdates account profile
        • POSTUpdates account max slippage for a specific market
        • POSTUpdates account notification preferences
        • POSTUpdates the last-seen notification timestamp
        • POSTUpdates account profile fields
        • POSTRefresh inventory for authenticated account
        • POSTUpdates account size currency display preference
        • POSTUpdates account profile username fields
        • POSTUpdates account referred_by field
        • GETGet account settings
        • POSTUpdates account trading value display
        • GETList sub-accounts of current account
        • GETGet account summaries (main account + authorized accounts)
        • GETList balances
        • GETList fills
        • GETFunding payments history
        • GETList open positions
        • GETList tradebusts
        • GETList transactions
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAccount

Get account margin configuration

GET
https://api.prod.paradex.trade/v1/account/margin
GET
/v1/account/margin
$curl -G https://api.prod.paradex.trade/v1/account/margin \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d market=market
1{
2 "account": "acc_9876543210",
3 "configs": [
4 {
5 "isolated_margin_leverage": 5,
6 "leverage": 10,
7 "margin_type": "ISOLATED",
8 "market": "BTC-USD-PERP"
9 }
10 ],
11 "margin_methodology": "cross_margin"
12}
Get margin configuration for an account and market
Was this page helpful?
Previous

Set margin configuration

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

marketstringRequired

Market Name - example: BTC-USD-PERP

Response

OK
accountstring
Account ID
configslist of objects
List of margin configurations per market
margin_methodologystring

Margin methodology (cross_margin/portfolio_margin)

Errors

400
Bad Request Error
404
Not Found Error